Subject: RE: [Techspec] Possible requirement: all normative references mus t be ready before IESG evaluation

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 18 Jan 2006 12:35:34 +0100

Paul writes:
> At 9:06 AM -0500 1/17/06, Thomas Narten wrote:
> >This is probably getting beyond techspec, but over the years I have
> >become increasingly uncomfortable with documents that are approved
> >(i.e., in the RFC editor queue) but that are blocked on normative
> >references. Some reasons include:
> >
> >    - by definition, a document isn't complete without its normative
> >      dependences. One cannot properly evaluate it without its
> >      dependencies also being available for review. Indeed, in some
> >      cases, text changes are needed in a document if one of its
> >      normative dependencies changes.
> >
> >    - documents in the publication queue that are blocked tend to get
> >      forgotten (by the WGs), reducing the pressure on getting the
> >      normative dependencies completed. (Indeed, we want the exact
> >      opposite!)
> >
> >    - I think we'd be better served having the equivalent of a new ID
> >      tracker state called something like "approved, but blocked on
> >      normative references", so that the document is clearly not in the
> >      publication queue (yet).
> 
> Note that the first and third don't fully agree with each other. If 
> we believe both of them (and I certainly do), the ID tracker state 
> should prevent the IESG from evaluating the document. That is, there 
> would be a pre-IESG-evaluation queue. Every document to be evaluated 
> by the IESG goes into that queue, and leaves the queue when every 
> normative reference is ready (which might be immediately).
> 
> There are a number of IESG folks on this list: does that sound 
> reasonable? Or are there good reasons to evaluate documents before 
> all their normative references are ready?
> 

Speaking as an individual:
I basically agree. IIRC I have supported this in earlier discussions.

However, I guess we only "move" the problem to an earlier point in the
process (a better point in my view), we do not really solve the problem.
It may however put some more pressure on documents authors to keep 
pushing and helping to complete the normative references as well.

Bert

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec